Subject: bug#44753: 27.1; arc-mode does not extract marked files

From: Eli Zaretskii <[email-masked]>
Date: Fri, 20 Nov 2020 10:07:34 +0200

> From: Vladimir Nikishkin <[email-masked]>
> Date: Fri, 20 Nov 2020 11:23:41 +0800
> 
> I have arc-mode loaded in the init.el like this:
> 
> ```
> (use-package arc-mode
>              :ensure t
>              :demand t)
> ```
> 
> What I do is I visit an archive, mark entries with `m', which adds an
> asterisk next to their name, and then type `e' or `f', expecting to be
> asked for a directory name to extract these files to.
> 
> Instead, I am given an error:
> archive-get-descr: Line does not describe a member of the archive
> 
> Can support for such a feature be added?

We need first to add a capability to extract archive members to files.
This is currently not part of arc-mode.el: it can only "extract" a
member to a buffer, let you edit it, and then put the edited copy back
into the buffer.  Extraction to files (a.k.a. "unarchiving") is not
yet supported.

Would you like to work on adding this to arc-mode.el?